% Plot signal that is random linear combination of three signals

% generate necessary data from legPlotRandom
legPlotRandom;
close all;

% generate values
vals_lin_comb = zeros( 1, numel(xvals));
coeffs_lin_comb = [0.5, 0.6, 0.7]; 

% construct (weighted) linear combination
for( i = 1 : numel( coeffs_lin_comb))
  vals_lin_comb = vals_lin_comb + coeffs_lin_comb(i) * vals_rands(i,:);
end


% visualize
legPreVisualization;

for( n = 1 : n_rands)
  plot( xvals, vals_rands(n,:), '-', 'Color', [0.8, 0.8, 1.0]);
end

% plot signal
plot( xvals, vals_lin_comb, ['-', 'r']);

legPostVisualization;

savePlot( h_fig, 'legPlotLinCombination');
