function savePlot( h_fig, fname_base)
%
% savePlot( h_fig, fname_base)
%
% Save current plot in EPS and FIG format under the specified
% filename in the directory figures.

  fname_base = [fname_base];

  print('-depsc2', fname_base);
  
  % PDF conversion, unclear how to generically implement library locations
  % for epstopdf
  % [s,w] = system(['epstopdf ', fname_base, '.eps'], '-echo');
  % if( 0 ~= s)
  %  warning( sprintf('Converting to PDF file failed: %s', w));
  % end

  saveas( h_fig, [fname_base, '.fig']); 
  
end